Bug 459847 - Can't add HP LaserJet 4345MFP
Can't add HP LaserJet 4345MFP
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-22 17:14 EDT by rob
Modified: 2008-09-28 14:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-28 14:41:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rob 2008-08-22 17:14:59 EDT
Description of problem:

Cups debug log output:

D [22/Aug/2008:14:57:55 -0500] [CGI] Cannot read file /usr/share/foomatic/db/source/printer/HP-LaserJet_4345_mfp.xml!
D [22/Aug/2008:14:57:55 -0500] [CGI] Cannot read file /usr/share/foomatic/db/source/printer/HP-LaserJet_4345_mfp.xml!
D [22/Aug/2008:14:57:55 -0500] [CGI] Printer file /usr/share/foomatic/db/source/printer/HP-LaserJet_4345_mfp.xml corrupted, missing, or not readable!

The file that exists is:

/usr/share/foomatic/db/source/printer/HP-LaserJet_4345_MFP.xml

Version-Release number of selected component (if applicable):

Name       : foomatic
Arch       : i386
Version    : 3.0.2
Release    : 59.fc9

How reproducible:



Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Waugh 2008-08-22 17:28:15 EDT
Please start from the beginning: what are you doing to get this, and how?
Comment 2 rob 2008-08-22 17:43:16 EDT
I'm trying to add a printer from system-config-printer.

Select New Printer-> AppSocket/HP Jetdirect->enter the hostname of the printer.

the printer is successfully detected, and the correct driver is selected (HP LaserJet 4345 mfp).

Name the printer, give it a description and hit "Apply"

Error message: There was an error during the CUPS operation: 'server-error-internal-error'.

Turn on cups debug logging, the error indicates a case mismatch between the expected filename and the actual filename:


D [22/Aug/2008:16:38:54 -0500] copy_model: Running "cups-driverd cat foomatic:HP-LaserJet_4345_mfp-hpijs.ppd"...
D [22/Aug/2008:16:38:55 -0500] [CGI] Cannot read file /usr/share/foomatic/db/source/printer/HP-LaserJet_4345_mfp.xml!
D [22/Aug/2008:16:38:55 -0500] [CGI] Cannot read file /usr/share/foomatic/db/source/printer/HP-LaserJet_4345_mfp.xml!
D [22/Aug/2008:16:38:55 -0500] [CGI] Printer file /usr/share/foomatic/db/source/printer/HP-LaserJet_4345_mfp.xml corrupted, missing, or not readable!
D [22/Aug/2008:16:38:55 -0500] [CGI] Could not run "foomatic-combo-xml"/"foomatic-perl-data"! at /usr/lib/perl5/vendor_perl/5.10.0/Foomatic/DB.pm line 984.
E [22/Aug/2008:16:38:55 -0500] copy_model: empty PPD file!
D [22/Aug/2008:16:38:55 -0500] CUPS-Add-Modify-Printer server-error-internal-error: Unable to copy PPD file!
D [22/Aug/2008:16:38:55 -0500] cupsdProcessIPPRequest: 12 status_code=500 (server-error-internal-error)
E [22/Aug/2008:16:38:55 -0500] PID 15314 (/usr/lib/cups/daemon/cups-driverd) stopped with status 1!


The actual file in the filesystem is /usr/share/foomatic/db/source/printer/HP-LaserJet_4345_MFP.xml
Comment 3 Fedora Update System 2008-09-05 09:08:03 EDT
foomatic-3.0.2-65.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/foomatic-3.0.2-65.fc9
Comment 4 rob 2008-09-05 17:50:09 EDT
I tested the updated package, works great now. thanks!
Comment 5 Fedora Update System 2008-09-11 13:04:12 EDT
foomatic-3.0.2-66.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update foomatic'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7884
Comment 6 Fedora Update System 2008-09-11 13:09:33 EDT
foomatic-3.0.2-66.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update foomatic'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7924
Comment 7 Fedora Update System 2008-09-24 20:00:14 EDT
foomatic-3.0.2-67.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update foomatic'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7884
Comment 8 Fedora Update System 2008-09-24 20:21:59 EDT
foomatic-3.0.2-67.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update foomatic'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7924
Comment 9 Fedora Update System 2008-09-28 14:41:26 EDT
foomatic-3.0.2-67.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-09-28 14:43:34 EDT
foomatic-3.0.2-67.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.